%global		dnf_version 5.2.8.1
%global		plugin_version 0.2.0

Name:		libdnf5-plugin-fiflock
Version:	%{dnf_version}+%{plugin_version}
Release:	1%{?dist}
Summary:	DNF plugin to prevents non-fif packages from overriding fif ones

License:	GPLv3
Source0:	dnf5-%{dnf_version}.tar.gz
Source1:	fiflock.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gettext
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(librepo)
BuildRequires:  pkgconfig(libsolv)
BuildRequires:  pkgconfig(libsolvext)
BuildRequires:  pkgconfig(rpm)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  toml11-static
BuildRequires:  gcc-c++ >= 10.1
BuildRequires:	cppunit
BuildRequires:  pkgconfig(modulemd-2.0)

%description
The Fiflock libdnf5 plugin prevents any official packages from
overriding any released version of a fif package.

%prep
%autosetup -n dnf5-%{dnf_version}
pushd libdnf5-plugins
tar xf %{SOURCE1}
echo 'add_subdirectory("fiflock")' >> CMakeLists.txt
popd

%build
%cmake -DWITH_DNF5DAEMON_CLIENT=0 -DWITH_DNF5DAEMON_SERVER=0 \
       -DWITH_LIBDNF5_CLI=0 -DWITH_DNF5=0 -DWITH_DNF5_PLUGINS=0 \
       -DWITH_PLUGIN_ACTIONS=0 -DWITH_PYTHON_PLUGINS_LOADER=0 \
       -DWITH_GO=0 -DWITH_PERL5=0 -DWITH_PYTHON3=0 -DWITH_RUBY=0 \
       -DWITH_TESTS=0 -DWITH_HTML=0 -DWITH_MAN=0
%__cmake --build %{__cmake_builddir}/libdnf5-plugins/fiflock %{?_smp_mflags} --verbose

%install
%make_install -C %{__cmake_builddir}/libdnf5-plugins/fiflock
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%{_libdir}/libdnf5/plugins/fiflock.*
%config %{_sysconfdir}/dnf/libdnf5-plugins/fiflock.conf

%changelog
* Sat Dec 28 2024 Philippe Troin <phil@fifi.org> - 5.2.8.1+0.2.0-1
- Limit exclude set to available packages.

* Sat Dec 14 2024 Philippe Troin <phil@fifi.org> - 5.2.8.1+0.1.0-1
- Created.
